Gatana logoGatana Docs
RoutesSkillsSkillidShares

/skills/{skillId}/shares

List the users and teams a skill is shared with, and who has access through its collection

GET
/skills/{skillId}/shares
AuthorizationBearer <token>

In: header

Path Parameters

skillId*string

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/skills/string/shares"
{
  "users": [
    {
      "id": "string",
      "name": "string",
      "email": "string",
      "role": "read"
    }
  ],
  "teams": [
    {
      "id": "string",
      "name": "string",
      "memberCount": 0,
      "role": "read"
    }
  ],
  "inherited": {
    "collectionId": "string",
    "collectionName": "string",
    "visibility": "organization",
    "users": [
      {
        "id": "string",
        "name": "string",
        "email": "string",
        "role": "read"
      }
    ],
    "teams": [
      {
        "id": "string",
        "name": "string",
        "memberCount": 0,
        "role": "read"
      }
    ]
  }
}